package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckWeightResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TmstruckWeightResultMapper extends IBaseMapper<TmstruckWeightResult, BigDecimal> {

    // 得到计重实绩主键id
    BigDecimal getWeightTaskResultId(Map<String,Object>mapValue);

    // 得到汽车衡id
    BigDecimal getTruckCalculateId(String resultCalculateNumber);

    List<Map<String,Object>> selectWzInputId();

    int updateWzInputId(String wzInputId);

    BigDecimal getWeightTaskResultId(String orderNumber);

    Integer updateTruckWeightResult(Map<String, Object> mapValue);

    Integer updateTruckWeightResultGross(Map<String, Object> mapValue);

    Map<String, Object> selectTotalIdByOrderNo(Map<String, Object> map);

    //通过汽车衡编号查询汽车衡ID
    Integer selectTruckCalculateId(String truckCalculateNumber);
}